Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.certra.protocol.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.certra.protocol.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.protocol.v1

Method Summary
`ContactDataType` | `createContactDataType()` Create an instance of `ContactDataType`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`GenerateCertificateForRenewalRequest` | `createGenerateCertificateForRenewalRequest()` Create an instance of `GenerateCertificateForRenewalRequest`
`GenerateCertificateForRenewalResponse` | `createGenerateCertificateForRenewalResponse()` Create an instance of `GenerateCertificateForRenewalResponse`
`GenerateCertificateRequest` | `createGenerateCertificateRequest()` Create an instance of `GenerateCertificateRequest`
`GenerateCertificateResponse` | `createGenerateCertificateResponse()` Create an instance of `GenerateCertificateResponse`
`GetCertificateRequest` | `createGetCertificateRequest()` Create an instance of `GetCertificateRequest`
`GetCertificateResponse` | `createGetCertificateResponse()` Create an instance of `GetCertificateResponse`
`GetEHActorQualitiesRequest` | `createGetEHActorQualitiesRequest()` Create an instance of `GetEHActorQualitiesRequest`
`GetEHActorQualitiesResponse` | `createGetEHActorQualitiesResponse()` Create an instance of `GetEHActorQualitiesResponse`
`GetExistingApplicationIdsRequest` | `createGetExistingApplicationIdsRequest()` Create an instance of `GetExistingApplicationIdsRequest`
`GetExistingApplicationIdsResponse` | `createGetExistingApplicationIdsResponse()` Create an instance of `GetExistingApplicationIdsResponse`
`GetRevocableCertificatesRequest` | `createGetRevocableCertificatesRequest()` Create an instance of `GetRevocableCertificatesRequest`
`GetRevocableCertificatesResponse` | `createGetRevocableCertificatesResponse()` Create an instance of `GetRevocableCertificatesResponse`
`JAXBElement<Object>` | `createOrganizationTypeRequest(Object value)` Create an instance of `JAXBElement``<``Object``>`}
`OrganizationTypeResponse` | `createOrganizationTypeResponse()` Create an instance of `OrganizationTypeResponse`
`RaResponseType` | `createRaResponseType()` Create an instance of `RaResponseType`
`RevokeRequest` | `createRevokeRequest()` Create an instance of `RevokeRequest`
`RevokeResponse` | `createRevokeResponse()` Create an instance of `RevokeResponse`
`SearchCriteriumType` | `createSearchCriteriumType()` Create an instance of `SearchCriteriumType`
`ValidateRenewRequest` | `createValidateRenewRequest()` Create an instance of `ValidateRenewRequest`
`ValidateRenewResponse` | `createValidateRenewResponse()` Create an instance of `ValidateRenewResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.protocol.v1

Method Detail

### createGetEHActorQualitiesResponse

    public GetEHActorQualitiesResponse createGetEHActorQualitiesResponse()

  Create an instance of `GetEHActorQualitiesResponse`

### createRaResponseType

    public RaResponseType createRaResponseType()

  Create an instance of `RaResponseType`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createGetEHActorQualitiesRequest

    public GetEHActorQualitiesRequest createGetEHActorQualitiesRequest()

  Create an instance of `GetEHActorQualitiesRequest`

### createGetRevocableCertificatesRequest

    public GetRevocableCertificatesRequest createGetRevocableCertificatesRequest()

  Create an instance of `GetRevocableCertificatesRequest`

### createGetRevocableCertificatesResponse

    public GetRevocableCertificatesResponse createGetRevocableCertificatesResponse()

  Create an instance of `GetRevocableCertificatesResponse`

### createRevokeRequest

    public RevokeRequest createRevokeRequest()

  Create an instance of `RevokeRequest`

### createRevokeResponse

    public RevokeResponse createRevokeResponse()

  Create an instance of `RevokeResponse`

### createGenerateCertificateRequest

    public GenerateCertificateRequest createGenerateCertificateRequest()

  Create an instance of `GenerateCertificateRequest`

### createGenerateCertificateResponse

    public GenerateCertificateResponse createGenerateCertificateResponse()

  Create an instance of `GenerateCertificateResponse`

### createGenerateCertificateForRenewalRequest

    public GenerateCertificateForRenewalRequest createGenerateCertificateForRenewalRequest()

  Create an instance of `GenerateCertificateForRenewalRequest`

### createGenerateCertificateForRenewalResponse

    public GenerateCertificateForRenewalResponse createGenerateCertificateForRenewalResponse()

  Create an instance of `GenerateCertificateForRenewalResponse`

### createGetCertificateRequest

    public GetCertificateRequest createGetCertificateRequest()

  Create an instance of `GetCertificateRequest`

### createGetCertificateResponse

    public GetCertificateResponse createGetCertificateResponse()

  Create an instance of `GetCertificateResponse`

### createValidateRenewRequest

    public ValidateRenewRequest createValidateRenewRequest()

  Create an instance of `ValidateRenewRequest`

### createValidateRenewResponse

    public ValidateRenewResponse createValidateRenewResponse()

  Create an instance of `ValidateRenewResponse`

### createSearchCriteriumType

    public SearchCriteriumType createSearchCriteriumType()

  Create an instance of `SearchCriteriumType`

### createContactDataType

    public ContactDataType createContactDataType()

  Create an instance of `ContactDataType`

### createOrganizationTypeResponse

    public OrganizationTypeResponse createOrganizationTypeResponse()

  Create an instance of `OrganizationTypeResponse`

### createGetExistingApplicationIdsRequest

    public GetExistingApplicationIdsRequest createGetExistingApplicationIdsRequest()

  Create an instance of `GetExistingApplicationIdsRequest`

### createGetExistingApplicationIdsResponse

    public GetExistingApplicationIdsResponse createGetExistingApplicationIdsResponse()

  Create an instance of `GetExistingApplicationIdsResponse`

### createOrganizationTypeRequest

    public JAXBElement<Object> createOrganizationTypeRequest(Object value)

  Create an instance of `JAXBElement``<``Object``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.